Datacenter Query Datacenter Config Option Descriptor

Datacenter Query Datacenter Config Option Descriptor
The list of possible choices for *DatacenterConfigSpec.defaultHardwareVersionKey*.

The list of possible choices for defaultHardwareVersionKey.

Descriptors returned by the vCenter implementation do not have host field populated.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/Datacenter/{moId}/queryDatacenterConfigOptionDescriptor
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case Datacenter/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "key": "string",
        "description": "string",
        "host": [
            {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        ],
        "createSupported": false,
        "defaultConfigOption": false,
        "runSupported": false,
        "upgradeSupported": false
    }
]
array of object
Optional

Contains the definition of a unique key that can be used to retrieve a configOption object.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/Datacenter/{moId}/queryDatacenterConfigOptionDescriptor